declare const _default: import("vue").DefineComponent<{
    /**
     * The size variant of the alert
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color variant of the alert
     * @type info | success | warning | danger
     * @default info
     * @name color
     */
    color: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Used to show or hide the alert
     * @type Boolean
     * @default undefined
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * Shows a dismiss icon on the alert
     * @type Boolean
     * @default false
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The aria-label to use for the dismiss button
     * @type String
     * @default Dismiss
     * @name dismissAriaLabel
     */
    dismissAriaLabel: {
        type: StringConstructor;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<{
        '-with-icon': boolean;
        '-dismissible': boolean;
    }>;
    visible: import("vue").Ref<boolean | undefined>;
    dismiss: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The size variant of the alert
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color variant of the alert
     * @type info | success | warning | danger
     * @default info
     * @name color
     */
    color: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Used to show or hide the alert
     * @type Boolean
     * @default undefined
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * Shows a dismiss icon on the alert
     * @type Boolean
     * @default false
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The aria-label to use for the dismiss button
     * @type String
     * @default Dismiss
     * @name dismissAriaLabel
     */
    dismissAriaLabel: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    modelValue: boolean;
    dismissible: boolean;
    dismissAriaLabel: string;
}, {}>;
export default _default;
