declare const _default: import("vue").DefineComponent<{
    /**
     * The active state of the breadcrumb item
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the breadcrumb item
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     *
     * @type String
     * @default undefined
     * @name to
     */
    href: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The tabindex of the breadcrumb item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * Set the HTML tag to be used for rendering the breadcrumb item
     * @name tag
     * @type String
     * @default a
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     *
     * @type String
     * @default undefined
     * @name to
     */
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: undefined;
    };
}, {
    bindings: import("vue").ComputedRef<{
        tabindex: string | number;
        'aria-disabled': string | null;
        'aria-current': string | undefined;
        to: string | Record<string, any>;
    } | {
        tabindex: string | number;
        'aria-disabled': string | null;
        'aria-current': string | undefined;
        href: string;
    } | {
        tabindex: string | number;
        'aria-disabled': string | null;
        'aria-current': string | undefined;
    }>;
    classes: import("vue").ComputedRef<{
        '-active': boolean;
        '-disabled': boolean;
    }>;
    currentTag: import("vue").Ref<string>;
    tag: any;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The active state of the breadcrumb item
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the breadcrumb item
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     *
     * @type String
     * @default undefined
     * @name to
     */
    href: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The tabindex of the breadcrumb item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * Set the HTML tag to be used for rendering the breadcrumb item
     * @name tag
     * @type String
     * @default a
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     *
     * @type String
     * @default undefined
     * @name to
     */
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: undefined;
    };
}>>, {
    disabled: boolean;
    active: boolean;
    href: string;
    tabindex: string | number;
    tag: string;
    to: string | Record<string, any>;
}, {}>;
export default _default;
