declare const _default: import("vue").DefineComponent<{
    /**
     * Display the button group with vertical orientation
     * @type Boolean
     * @default false
     * @name vertical
     */
    vertical: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the button group as a block, spanning the full container width
     * @type Boolean
     * @default false
     * @name block
     */
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the button group
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size of the button group
     * @type String
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color of the button group
     * @type String
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        '-vertical': boolean;
        '-block': boolean;
        '-disabled': boolean;
    }>;
    disabled: import("vue").ComputedRef<boolean>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Display the button group with vertical orientation
     * @type Boolean
     * @default false
     * @name vertical
     */
    vertical: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the button group as a block, spanning the full container width
     * @type Boolean
     * @default false
     * @name block
     */
    block: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the button group
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size of the button group
     * @type String
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color of the button group
     * @type String
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
}>>, {
    color: string;
    size: string;
    disabled: boolean;
    block: boolean;
    vertical: boolean;
}, {}>;
export default _default;
