"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.manifest = exports.default = void 0;
const manifest = exports.manifest = {
  name: "ICheckboxGroup",
  props: [{
    name: "color",
    type: ["light", "dark"],
    default: "",
    description: "The color variant of the checkbox group"
  }, {
    name: "disabled",
    type: ["Boolean"],
    default: "false",
    description: "The disabled state of the checkbox group"
  }, {
    name: "error",
    type: ["Boolean", "Array"],
    default: "'touched', 'dirty', 'invalid'",
    description: "The error state of the checkbox, computed based on schema by default."
  }, {
    name: "inline",
    type: ["Boolean"],
    default: "false",
    description: "Display the checkbox group as inline"
  }, {
    name: "indeterminate",
    type: ["Boolean"],
    default: "false",
    description: "The indeterminate state of the checkbox group"
  }, {
    name: "modelValue",
    type: [],
    default: "",
    description: "Used to set the checkbox group value"
  }, {
    name: "name",
    type: ["String"],
    default: "uid()",
    description: "The unique identifier of the checkbox group"
  }, {
    name: "native",
    type: ["Boolean"],
    default: "false",
    description: "Displays the native browser checkbox input indicator"
  }, {
    name: "readonly",
    type: ["Boolean"],
    default: "false",
    description: "The readonly state of the checkbox group"
  }, {
    name: "size",
    type: ["sm", "md", "lg"],
    default: "",
    description: "The size variant of the checkbox group"
  }, {
    name: "validateSchema",
    type: ["Boolean"],
    default: "true",
    description: "Enable checkbox group validation using schema"
  }, {
    name: "options",
    type: ["Array"],
    default: "",
    description: "The options of the checkbox group"
  }, {
    name: "label",
    type: ["String", "Number", "Boolean", "Function", "Object"],
    default: "undefined",
    description: "The fallback label of the checkbox group. Can be a string, number, render function, or component"
  }],
  events: [{
    description: "Event emitted for setting the modelValue",
    name: "update:modelValue"
  }],
  slots: [{
    name: "default",
    description: "Slot for default checkbox group options "
  }],
  css: {
    selector: ".checkbox-group",
    variables: []
  }
};
var _default = exports.default = manifest;