import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The number of columns to span for extra-small screen sizes. Setting the prop to true will set the width automatically
     * @name xs
     * @type Boolean | String | Number
     * @default
     */
    xs: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for small screen sizes. Setting the prop to true will set the width automatically
     * @name sm
     * @type Boolean | String | Number
     * @default
     */
    sm: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for medium screen sizes. Setting the prop to true will set the width automatically
     * @name md
     * @type Boolean | String | Number
     * @default
     */
    md: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for large screen sizes. Setting the prop to true will set the width automatically
     * @name lg
     * @type Boolean | String | Number
     * @default
     */
    lg: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for extra-large screen sizes. Setting the prop to true will set the width automatically
     * @name xl
     * @type Boolean | String | Number
     * @default
     */
    xl: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for extra-extra-large screen sizes. Setting the prop to true will set the width automatically
     * @name xxl
     * @type Boolean | String | Number
     * @default
     */
    xxl: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * Display the column as the first column
     * @name first
     * @type Boolean
     * @default false
     */
    first: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-small screens
     * @name first-xs
     * @type Boolean
     * @default false
     */
    firstXs: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on small screens
     * @name first-sm
     * @type Boolean
     * @default false
     */
    firstSm: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on medium screens
     * @name first-md
     * @type Boolean
     * @default false
     */
    firstMd: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on large screens
     * @name first-lg
     * @type Boolean
     * @default false
     */
    firstLg: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-large screens
     * @name first-xl
     * @type Boolean
     * @default false
     */
    firstXl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-extra-large screens
     * @name first-2xl
     * @type Boolean
     * @default false
     */
    first2xl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column
     * @name last
     * @type Boolean
     * @default false
     */
    last: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-small screens
     * @name last-xs
     * @type Boolean
     * @default false
     */
    lastXs: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on small screens
     * @name last-sm
     * @type Boolean
     * @default false
     */
    lastSm: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on medium screens
     * @name last-md
     * @type Boolean
     * @default false
     */
    lastMd: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on large screens
     * @name last-lg
     * @type Boolean
     * @default false
     */
    lastLg: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-large screens
     * @name last-xl
     * @type Boolean
     * @default false
     */
    lastXl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-extra-large screens
     * @name last-2xl
     * @type Boolean
     * @default false
     */
    last2xl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * The number of columns to offset the column by
     * @name offset
     * @type String | Number
     * @default
     */
    offset: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-small screens
     * @name offset-xs
     * @type String | Number
     * @default
     */
    offsetXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on small screens
     * @name offset-sm
     * @type String | Number
     * @default
     */
    offsetSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on medium screens
     * @name offset-md
     * @type String | Number
     * @default
     */
    offsetMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on large screens
     * @name offset-lg
     * @type String | Number
     * @default
     */
    offsetLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-large screens
     * @name offset-xl
     * @type String | Number
     * @default
     */
    offsetXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-extra-large screens
     * @name offset-2xl
     * @type String | Number
     * @default
     */
    offset2xl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by
     * @name push
     * @type String | Number
     * @default
     */
    push: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-small screens
     * @name push-xs
     * @type String | Number
     * @default
     */
    pushXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on small screens
     * @name push-sm
     * @type String | Number
     * @default
     */
    pushSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on medium screens
     * @name push-md
     * @type String | Number
     * @default
     */
    pushMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on large screens
     * @name push-lg
     * @type String | Number
     * @default
     */
    pushLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-large screens
     * @name push-xl
     * @type String | Number
     * @default
     */
    pushXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-extra-large screens
     * @name push-2xl
     * @type String | Number
     * @default
     */
    push2xl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by
     * @name pull
     * @type String | Number
     * @default
     */
    pull: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-small screens
     * @name pull-xs
     * @type String | Number
     * @default
     */
    pullXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on small screens
     * @name pull-sm
     * @type String | Number
     * @default
     */
    pullSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on medium screens
     * @name pull-md
     * @type String | Number
     * @default
     */
    pullMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on large screens
     * @name pull-lg
     * @type String | Number
     * @default
     */
    pullLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-large screens
     * @name pull-xl
     * @type String | Number
     * @default
     */
    pullXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-extra-large screens
     * @name pull-2xl
     * @type String | Number
     * @default
     */
    pull2xl: {
        type: PropType<string>;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<Record<string, boolean>>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The number of columns to span for extra-small screen sizes. Setting the prop to true will set the width automatically
     * @name xs
     * @type Boolean | String | Number
     * @default
     */
    xs: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for small screen sizes. Setting the prop to true will set the width automatically
     * @name sm
     * @type Boolean | String | Number
     * @default
     */
    sm: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for medium screen sizes. Setting the prop to true will set the width automatically
     * @name md
     * @type Boolean | String | Number
     * @default
     */
    md: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for large screen sizes. Setting the prop to true will set the width automatically
     * @name lg
     * @type Boolean | String | Number
     * @default
     */
    lg: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for extra-large screen sizes. Setting the prop to true will set the width automatically
     * @name xl
     * @type Boolean | String | Number
     * @default
     */
    xl: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * The number of columns to span for extra-extra-large screen sizes. Setting the prop to true will set the width automatically
     * @name xxl
     * @type Boolean | String | Number
     * @default
     */
    xxl: {
        type: PropType<string>;
        default: boolean;
    };
    /**
     * Display the column as the first column
     * @name first
     * @type Boolean
     * @default false
     */
    first: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-small screens
     * @name first-xs
     * @type Boolean
     * @default false
     */
    firstXs: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on small screens
     * @name first-sm
     * @type Boolean
     * @default false
     */
    firstSm: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on medium screens
     * @name first-md
     * @type Boolean
     * @default false
     */
    firstMd: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on large screens
     * @name first-lg
     * @type Boolean
     * @default false
     */
    firstLg: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-large screens
     * @name first-xl
     * @type Boolean
     * @default false
     */
    firstXl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the first column on extra-extra-large screens
     * @name first-2xl
     * @type Boolean
     * @default false
     */
    first2xl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column
     * @name last
     * @type Boolean
     * @default false
     */
    last: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-small screens
     * @name last-xs
     * @type Boolean
     * @default false
     */
    lastXs: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on small screens
     * @name last-sm
     * @type Boolean
     * @default false
     */
    lastSm: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on medium screens
     * @name last-md
     * @type Boolean
     * @default false
     */
    lastMd: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on large screens
     * @name last-lg
     * @type Boolean
     * @default false
     */
    lastLg: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-large screens
     * @name last-xl
     * @type Boolean
     * @default false
     */
    lastXl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * Display the column as the last column on extra-extra-large screens
     * @name last-2xl
     * @type Boolean
     * @default false
     */
    last2xl: {
        type: BooleanConstructor[];
        default: boolean;
    };
    /**
     * The number of columns to offset the column by
     * @name offset
     * @type String | Number
     * @default
     */
    offset: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-small screens
     * @name offset-xs
     * @type String | Number
     * @default
     */
    offsetXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on small screens
     * @name offset-sm
     * @type String | Number
     * @default
     */
    offsetSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on medium screens
     * @name offset-md
     * @type String | Number
     * @default
     */
    offsetMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on large screens
     * @name offset-lg
     * @type String | Number
     * @default
     */
    offsetLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-large screens
     * @name offset-xl
     * @type String | Number
     * @default
     */
    offsetXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to offset the column by on extra-extra-large screens
     * @name offset-2xl
     * @type String | Number
     * @default
     */
    offset2xl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by
     * @name push
     * @type String | Number
     * @default
     */
    push: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-small screens
     * @name push-xs
     * @type String | Number
     * @default
     */
    pushXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on small screens
     * @name push-sm
     * @type String | Number
     * @default
     */
    pushSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on medium screens
     * @name push-md
     * @type String | Number
     * @default
     */
    pushMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on large screens
     * @name push-lg
     * @type String | Number
     * @default
     */
    pushLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-large screens
     * @name push-xl
     * @type String | Number
     * @default
     */
    pushXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to push the column by on extra-extra-large screens
     * @name push-2xl
     * @type String | Number
     * @default
     */
    push2xl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by
     * @name pull
     * @type String | Number
     * @default
     */
    pull: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-small screens
     * @name pull-xs
     * @type String | Number
     * @default
     */
    pullXs: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on small screens
     * @name pull-sm
     * @type String | Number
     * @default
     */
    pullSm: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on medium screens
     * @name pull-md
     * @type String | Number
     * @default
     */
    pullMd: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on large screens
     * @name pull-lg
     * @type String | Number
     * @default
     */
    pullLg: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-large screens
     * @name pull-xl
     * @type String | Number
     * @default
     */
    pullXl: {
        type: PropType<string>;
        default: string;
    };
    /**
     * The number of columns to pull the column by on extra-extra-large screens
     * @name pull-2xl
     * @type String | Number
     * @default
     */
    pull2xl: {
        type: PropType<string>;
        default: string;
    };
}>>, {
    push: string;
    sm: string;
    md: string;
    lg: string;
    xs: string;
    xl: string;
    xxl: string;
    first: boolean;
    firstXs: boolean;
    firstSm: boolean;
    firstMd: boolean;
    firstLg: boolean;
    firstXl: boolean;
    first2xl: boolean;
    last: boolean;
    lastXs: boolean;
    lastSm: boolean;
    lastMd: boolean;
    lastLg: boolean;
    lastXl: boolean;
    last2xl: boolean;
    offset: string;
    offsetXs: string;
    offsetSm: string;
    offsetMd: string;
    offsetLg: string;
    offsetXl: string;
    offset2xl: string;
    pushXs: string;
    pushSm: string;
    pushMd: string;
    pushLg: string;
    pushXl: string;
    push2xl: string;
    pull: string;
    pullXs: string;
    pullSm: string;
    pullMd: string;
    pullLg: string;
    pullXl: string;
    pull2xl: string;
}, {}>;
export default _default;
