declare const _default: import("vue").DefineComponent<{
    /**
     * The active state of the dropdown item
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the dropdown item
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Renders the component as an anchor link with a `href` attribute
     * @type String
     * @default undefined
     * @name to
     */
    href: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the dropdown item as plaintext
     * @type String
     * @default div
     * @name plaintext
     */
    plaintext: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the HTML tag to be used for rendering the dropdown item
     * @type String
     * @default div
     * @name tag
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * Renders the component as a Router Link component with a `to` attribute
     * @type String
     * @default undefined
     * @name to
     */
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: undefined;
    };
}, {
    bindings: import("vue").ComputedRef<{
        role: string | null;
        tabindex: string | number;
        'aria-disabled': string | null;
        disabled?: any;
        to: string | Record<string, any>;
    } | {
        role: string | null;
        tabindex: string | number;
        'aria-disabled': string | null;
        disabled?: any;
        href: string;
    } | {
        role: string | null;
        tabindex: string | number;
        'aria-disabled': string | null;
        disabled?: any;
    }>;
    classes: import("vue").ComputedRef<{
        '-active': boolean;
        '-disabled': boolean;
        '-plaintext': boolean;
    }>;
    currentTag: import("vue").Ref<string>;
    tag: any;
    onClick: (event: Event) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The active state of the dropdown item
     * @type Boolean
     * @default false
     * @name active
     */
    active: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The disabled state of the dropdown item
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Renders the component as an anchor link with a `href` attribute
     * @type String
     * @default undefined
     * @name to
     */
    href: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the dropdown item as plaintext
     * @type String
     * @default div
     * @name plaintext
     */
    plaintext: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the HTML tag to be used for rendering the dropdown item
     * @type String
     * @default div
     * @name tag
     */
    tag: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * Renders the component as a Router Link component with a `to` attribute
     * @type String
     * @default undefined
     * @name to
     */
    to: {
        type: (ObjectConstructor | StringConstructor)[];
        default: undefined;
    };
}>>, {
    plaintext: boolean;
    disabled: boolean;
    active: boolean;
    href: string;
    tabindex: string | number;
    tag: string;
    to: string | Record<string, any>;
}, {}>;
export default _default;
