declare const _default: import("vue").DefineComponent<{
    /**
     * The color variant of the header
     * @type primary | light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the header background as cover, always covering the whole header width or height
     * @type Boolean
     * @default false
     * @name cover
     */
    cover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the inner content container as fluid, covering 100% of the header width
     * @type Boolean
     * @default false
     * @name fluid
     */
    fluid: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the header as fullscreen, covering 100% screen height and 100% screen width
     * @type Boolean
     * @default true
     * @name fullscreen
     */
    fullscreen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the header
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        '-cover': boolean;
        '-fullscreen': boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The color variant of the header
     * @type primary | light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the header background as cover, always covering the whole header width or height
     * @type Boolean
     * @default false
     * @name cover
     */
    cover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the inner content container as fluid, covering 100% of the header width
     * @type Boolean
     * @default false
     * @name fluid
     */
    fluid: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the header as fullscreen, covering 100% screen height and 100% screen width
     * @type Boolean
     * @default true
     * @name fullscreen
     */
    fullscreen: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the header
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
}>>, {
    color: string;
    size: string;
    fluid: boolean;
    cover: boolean;
    fullscreen: boolean;
}, {}>;
export default _default;
