declare const _default: import("vue").DefineComponent<{
    /**
     * Determines if the navbar should close when clicking a navbar item
     * @type Boolean
     * @default true
     * @name collapseOnItemClick
     */
    collapseOnItemClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Determines if the navbar should close when clicking outside
     * @type Boolean
     * @default true
     * @name collapseOnClickOutside
     */
    collapseOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Breakpoint to collapse the navbar at. If boolean value, sets to always or never collapse
     * @type Boolean | String
     * @default 'md'
     * @name collapse
     */
    collapse: {
        type: (BooleanConstructor | StringConstructor)[];
        default: string;
    };
    /**
     * The color variant of the navbar
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the inner container as fluid, spanning 100% width
     * @type Boolean
     * @default false
     * @name fluid
     */
    fluid: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the navbar
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The animation of the hamburger menu component used for collapsing
     * @type close | arrow-up | arrow-down | arrow-left | arrow-right | plus | minus
     * @default close
     * @name menuAnimation
     */
    menuAnimation: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Used to manually control the collapsed state of the navbar
     * @type Boolean
     * @default false
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    classes: import("vue").ComputedRef<any>;
    collapsible: any;
    open: any;
    navbarRef: import("vue").Ref<HTMLElement | null>;
    toggleOpen: any;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Determines if the navbar should close when clicking a navbar item
     * @type Boolean
     * @default true
     * @name collapseOnItemClick
     */
    collapseOnItemClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Determines if the navbar should close when clicking outside
     * @type Boolean
     * @default true
     * @name collapseOnClickOutside
     */
    collapseOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Breakpoint to collapse the navbar at. If boolean value, sets to always or never collapse
     * @type Boolean | String
     * @default 'md'
     * @name collapse
     */
    collapse: {
        type: (BooleanConstructor | StringConstructor)[];
        default: string;
    };
    /**
     * The color variant of the navbar
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the inner container as fluid, spanning 100% width
     * @type Boolean
     * @default false
     * @name fluid
     */
    fluid: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the navbar
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The animation of the hamburger menu component used for collapsing
     * @type close | arrow-up | arrow-down | arrow-left | arrow-right | plus | minus
     * @default close
     * @name menuAnimation
     */
    menuAnimation: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Used to manually control the collapsed state of the navbar
     * @type Boolean
     * @default false
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    modelValue: boolean;
    fluid: boolean;
    collapseOnItemClick: boolean;
    collapseOnClickOutside: boolean;
    collapse: string | boolean;
    menuAnimation: string;
}, {}>;
export default _default;
