declare const _default: import("vue").DefineComponent<{
    /**
     * The aria-label of the pagination
     * @type String
     * @default Pagination
     * @name ariaLabel
     */
    ariaLabel: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The color variant of the pagination
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The number of items per page to be displayed
     * @type Number
     * @default 20
     * @name itemsPerPage
     */
    itemsPerPage: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The total number of items
     * @type Number
     * @default 0
     * @name itemsTotal
     */
    itemsTotal: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum number of pagination buttons to show on each breakpoint
     * @type Number | Object
     * @name limit
     * @default { xs: 3, sm: 5 }
     */
    limit: {
        type: (ObjectConstructor | NumberConstructor)[];
        default: () => {
            [key: string]: number;
        };
    };
    /**
     * Display the quick link buttons
     * @type Boolean
     * @default false
     * @name quickLink
     */
    quickLink: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Used to determine the current page
     * @type Number
     * @default 1
     * @name modelValue
     */
    modelValue: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The size variant of the pagination
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Show or hide navigation buttons for first or last page
     * @type boolean
     * @default true
     * @name showNavigationWhenDisabled
     */
    showNavigationWhenDisabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
    }>;
    pageCount: import("vue").ComputedRef<number>;
    pages: import("vue").ComputedRef<never[]>;
    showQuickPrevious: import("vue").ComputedRef<boolean>;
    showQuickNext: import("vue").ComputedRef<boolean>;
    showPrevious: import("vue").ComputedRef<boolean>;
    showNext: import("vue").ComputedRef<boolean>;
    next: () => void;
    quickNext: () => void;
    previous: () => void;
    quickPrevious: () => void;
    onClick: (item: number) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The aria-label of the pagination
     * @type String
     * @default Pagination
     * @name ariaLabel
     */
    ariaLabel: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The color variant of the pagination
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The number of items per page to be displayed
     * @type Number
     * @default 20
     * @name itemsPerPage
     */
    itemsPerPage: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The total number of items
     * @type Number
     * @default 0
     * @name itemsTotal
     */
    itemsTotal: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The maximum number of pagination buttons to show on each breakpoint
     * @type Number | Object
     * @name limit
     * @default { xs: 3, sm: 5 }
     */
    limit: {
        type: (ObjectConstructor | NumberConstructor)[];
        default: () => {
            [key: string]: number;
        };
    };
    /**
     * Display the quick link buttons
     * @type Boolean
     * @default false
     * @name quickLink
     */
    quickLink: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Used to determine the current page
     * @type Number
     * @default 1
     * @name modelValue
     */
    modelValue: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * The size variant of the pagination
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Show or hide navigation buttons for first or last page
     * @type boolean
     * @default true
     * @name showNavigationWhenDisabled
     */
    showNavigationWhenDisabled: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    modelValue: number;
    ariaLabel: string;
    itemsPerPage: number;
    itemsTotal: number;
    limit: number | Record<string, any>;
    quickLink: boolean;
    showNavigationWhenDisabled: boolean;
}, {}>;
export default _default;
