import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The default button props of the radio buttons
     * @type Object
     * @default {}
     * @name buttonProps
     */
    buttonProps: {
        type: PropType<RadioButtonOption>;
        default: () => {};
    };
    /**
     * The fallback label of the radio buttons. Can be a string, number, render function, or component
     * @type String | Number | Boolean | Function | Object
     * @default undefined
     * @name label
     */
    label: {
        type: PropType<RadioButtonOption>;
        default: undefined;
    };
    /**
     * The color variant of the radio buttons
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The disabled state of the radio buttons
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The error state of the checkbox, computed based on schema by default.
     * @type Boolean | Array
     * @default ['touched', 'dirty', 'invalid']
     * @TODO use propDefaultValue to set default value
     * @name error
     */
    error: {
        type: PropType<boolean | string[]>;
        default: () => string[];
    };
    /**
     * Used to set the radio buttons value
     * @default []
     * @name modelValue
     */
    modelValue: {
        default: undefined;
    };
    /**
     * The unique identifier of the radio buttons
     * @type String
     * @default uid()
     * @name name
     */
    name: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * The options to be rendered as radio buttons
     * @type Array
     * @default []
     * @name options
     */
    options: {
        type: PropType<RadioButtonOption[]>;
        default: () => never[];
    };
    /**
     * The readonly state of the radio buttons
     * @type Boolean
     * @default false
     * @name readonly
     */
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the radio buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Enable radio buttons validation using schema
     * @type Boolean
     * @default true
     * @name validateSchema
     */
    validate: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The style variant of the radio buttons
     * @type default | button-group
     * @default default
     * @name variant
     */
    variant: {
        type: PropType<CheckableButtonGroupVariant>;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: any;
        '-disabled': boolean;
        '-readonly': boolean;
        '-error': any;
    }>;
    value: import("vue").ComputedRef<any>;
    onChange: (value: RadioButtonOption) => void;
    onBlur: (event: FocusEvent) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The default button props of the radio buttons
     * @type Object
     * @default {}
     * @name buttonProps
     */
    buttonProps: {
        type: PropType<RadioButtonOption>;
        default: () => {};
    };
    /**
     * The fallback label of the radio buttons. Can be a string, number, render function, or component
     * @type String | Number | Boolean | Function | Object
     * @default undefined
     * @name label
     */
    label: {
        type: PropType<RadioButtonOption>;
        default: undefined;
    };
    /**
     * The color variant of the radio buttons
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The disabled state of the radio buttons
     * @type Boolean
     * @default false
     * @name disabled
     */
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The error state of the checkbox, computed based on schema by default.
     * @type Boolean | Array
     * @default ['touched', 'dirty', 'invalid']
     * @TODO use propDefaultValue to set default value
     * @name error
     */
    error: {
        type: PropType<boolean | string[]>;
        default: () => string[];
    };
    /**
     * Used to set the radio buttons value
     * @default []
     * @name modelValue
     */
    modelValue: {
        default: undefined;
    };
    /**
     * The unique identifier of the radio buttons
     * @type String
     * @default uid()
     * @name name
     */
    name: {
        type: StringConstructor;
        default: () => string;
    };
    /**
     * The options to be rendered as radio buttons
     * @type Array
     * @default []
     * @name options
     */
    options: {
        type: PropType<RadioButtonOption[]>;
        default: () => never[];
    };
    /**
     * The readonly state of the radio buttons
     * @type Boolean
     * @default false
     * @name readonly
     */
    readonly: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The size variant of the radio buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Enable radio buttons validation using schema
     * @type Boolean
     * @default true
     * @name validateSchema
     */
    validate: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The style variant of the radio buttons
     * @type default | button-group
     * @default default
     * @name variant
     */
    variant: {
        type: PropType<CheckableButtonGroupVariant>;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    options: RadioButtonOption[];
    name: string;
    label: RadioButtonOption;
    error: boolean | string[];
    disabled: boolean;
    readonly: boolean;
    modelValue: undefined;
    validate: boolean;
    buttonProps: RadioButtonOption;
    variant: CheckableButtonGroupVariant;
}, {}>;
export default _default;
