import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The label of the select option. Can be a string, number, render function, or component
     * @type String | Number | Boolean | Function | Object
     * @default undefined
     * @name label
     */
    label: {
        type: PropType<SelectOption>;
        default: undefined;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * The select option
     * @type Object
     * @default { id: '' }
     * @name option
     */
    option: {
        type: PropType<SelectOption>;
        default: () => SelectOption;
    };
}, {
    ariaDisabled: import("vue").ComputedRef<true | undefined>;
    ariaSelected: import("vue").ComputedRef<true | undefined>;
    classes: import("vue").ComputedRef<{
        '-active': any;
        '-disabled': any;
    }>;
    tabIndex: import("vue").ComputedRef<string | number>;
    onClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The label of the select option. Can be a string, number, render function, or component
     * @type String | Number | Boolean | Function | Object
     * @default undefined
     * @name label
     */
    label: {
        type: PropType<SelectOption>;
        default: undefined;
    };
    /**
     * The tabindex of the list group item
     * @type Number | String
     * @default 0
     * @name tabindex
     */
    tabindex: {
        type: (StringConstructor | NumberConstructor)[];
        default: number;
    };
    /**
     * The select option
     * @type Object
     * @default { id: '' }
     * @name option
     */
    option: {
        type: PropType<SelectOption>;
        default: () => SelectOption;
    };
}>>, {
    label: SelectOption;
    option: SelectOption;
    tabindex: string | number;
}, {}>;
export default _default;
