declare const _default: import("vue").DefineComponent<{
    /**
     * The aria-label of the sidebar
     * @type String
     * @default Sidebar
     * @name ariaLabel
     */
    ariaLabel: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Breakpoint to collapse the sidebar at. If boolean value, sets to always or never collapse
     * @type Boolean | String
     * @default 'md'
     * @name collapse
     */
    collapse: {
        type: (BooleanConstructor | StringConstructor)[];
        default: string;
    };
    /**
     * Determines if the sidebar should close when clicking a sidebar item
     * @type Boolean
     * @default true
     * @name collapseOnItemClick
     */
    collapseOnItemClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Determines if the sidebar should close when clicking outside, on the overlay
     * @type Boolean
     * @default true
     * @name collapseOnClickOutside
     */
    collapseOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The collapse position of the sidebar
     * @type fixed | absolute | relative
     * @default absolute
     * @name collapsePosition
     */
    collapsePosition: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The color variant of the sidebar
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The placement of the sidebar
     * @type left | right
     * @default left
     * @name placement
     */
    placement: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The size variant of the navbar
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Used to manually control the collapsed state of the sidebar
     * @type Boolean
     * @default false
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    wrapperRef: import("vue").Ref<HTMLElement | null>;
    classes: import("vue").ComputedRef<any>;
    sidebarWrapperTransition: import("vue").ComputedRef<"sidebar-wrapper-none-transition" | "sidebar-wrapper-transition">;
    sidebarTransition: import("vue").ComputedRef<"sidebar-transition" | "sidebar-none-transition">;
    collapsible: any;
    open: any;
    toggleOpen: any;
    onOverlayClick: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The aria-label of the sidebar
     * @type String
     * @default Sidebar
     * @name ariaLabel
     */
    ariaLabel: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Breakpoint to collapse the sidebar at. If boolean value, sets to always or never collapse
     * @type Boolean | String
     * @default 'md'
     * @name collapse
     */
    collapse: {
        type: (BooleanConstructor | StringConstructor)[];
        default: string;
    };
    /**
     * Determines if the sidebar should close when clicking a sidebar item
     * @type Boolean
     * @default true
     * @name collapseOnItemClick
     */
    collapseOnItemClick: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Determines if the sidebar should close when clicking outside, on the overlay
     * @type Boolean
     * @default true
     * @name collapseOnClickOutside
     */
    collapseOnClickOutside: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The collapse position of the sidebar
     * @type fixed | absolute | relative
     * @default absolute
     * @name collapsePosition
     */
    collapsePosition: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The color variant of the sidebar
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The placement of the sidebar
     * @type left | right
     * @default left
     * @name placement
     */
    placement: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The size variant of the navbar
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Used to manually control the collapsed state of the sidebar
     * @type Boolean
     * @default false
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    placement: string;
    modelValue: boolean;
    ariaLabel: string;
    collapseOnItemClick: boolean;
    collapseOnClickOutside: boolean;
    collapse: string | boolean;
    collapsePosition: string;
}, {}>;
export default _default;
