declare const _default: import("vue").DefineComponent<{
    /**
     * Display the table with borders
     * @type Boolean
     * @default false
     * @name border
     */
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the table rows as condensed
     * @type Boolean
     * @default false
     * @name condensed
     */
    condensed: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the table rows as alternating stripes
     * @type Boolean
     * @default false
     * @name striped
     */
    striped: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the table rows as hoverable
     * @type Boolean
     * @default false
     * @name hover
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the table to be responsive, enabling horizontal scroll when overflowing the parent container
     * @type Boolean | xs | sm | md | lg | xl | xxl
     * @default false
     * @name responsive
     */
    responsive: {
        type: (BooleanConstructor | StringConstructor)[];
        default: boolean;
    };
    /**
     * Display the table rows without wrapping white-space
     * @type Boolean
     * @default false
     * @name nowrap
     */
    nowrap: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The color variant of the table
     * @type primary | success | light | dark | info | success | warning | danger
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        '-border': boolean;
        '-condensed': boolean;
        '-striped': boolean;
        '-hover': boolean;
        '-nowrap': boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * Display the table with borders
     * @type Boolean
     * @default false
     * @name border
     */
    border: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the table rows as condensed
     * @type Boolean
     * @default false
     * @name condensed
     */
    condensed: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Display the table rows as alternating stripes
     * @type Boolean
     * @default false
     * @name striped
     */
    striped: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the table rows as hoverable
     * @type Boolean
     * @default false
     * @name hover
     */
    hover: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Set the table to be responsive, enabling horizontal scroll when overflowing the parent container
     * @type Boolean | xs | sm | md | lg | xl | xxl
     * @default false
     * @name responsive
     */
    responsive: {
        type: (BooleanConstructor | StringConstructor)[];
        default: boolean;
    };
    /**
     * Display the table rows without wrapping white-space
     * @type Boolean
     * @default false
     * @name nowrap
     */
    nowrap: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The color variant of the table
     * @type primary | success | light | dark | info | success | warning | danger
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
}>>, {
    border: boolean;
    color: string;
    hover: boolean;
    condensed: boolean;
    striped: boolean;
    responsive: string | boolean;
    nowrap: boolean;
}, {}>;
export default _default;
