declare const _default: import("vue").DefineComponent<{
    /**
     * The color variant of the tabs
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Used to set the currently active tab
     * @type String
     * @default
     * @name modelValue
     */
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The size variant of the tabs
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the tabs header as full width
     * @type Boolean
     * @default false
     * @name stretch
     */
    stretch: {
        type: BooleanConstructor;
        default: boolean;
    };
}, {
    tabs: import("vue").Ref<{
        name: string;
        title: string;
    }[]>;
    tabsRef: import("vue").Ref<HTMLElement | null>;
    active: import("vue").Ref<string>;
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        '-stretch': boolean;
    }>;
    setActive: (id: string) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The color variant of the tabs
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Used to set the currently active tab
     * @type String
     * @default
     * @name modelValue
     */
    modelValue: {
        type: StringConstructor;
        default: string;
    };
    /**
     * The size variant of the tabs
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * Display the tabs header as full width
     * @type Boolean
     * @default false
     * @name stretch
     */
    stretch: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    color: string;
    size: string;
    modelValue: string;
    stretch: boolean;
}, {}>;
export default _default;
