import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The size variant of the toast
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color variant of the toast
     * @type light | dark | info | success | warning | danger
     * @default light
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The duration of the toast, in milliseconds. A duration of 0 will show the toast indefinitely.
     * @type Number
     * @default 0
     * @name duration
     */
    duration: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Show progress bar for the duration of the toast
     * @type Boolean
     * @default true
     * @name showProgress
     */
    showProgress: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The icon to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name icon
     */
    icon: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * The title to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name title
     */
    title: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * The message to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name message
     */
    message: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * Used to show or hide a dismissible toast
     * @type Boolean
     * @default true
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Used to set the position of the toast
     * @type top-left | top | top-right | right | bottom-right | bottom | bottom-left | left
     * @default top-right
     * @name position
     */
    position: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Shows a dismiss icon on the toast
     * @type Boolean
     * @default false
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The aria-label to use for the dismiss button
     * @type String
     * @default Dismiss
     * @name dismissAriaLabel
     */
    dismissAriaLabel: {
        type: StringConstructor;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<{
        '-with-icon': boolean;
        '-dismissible': boolean;
    }>;
    styles: import("vue").ComputedRef<{
        '--toast--duration': string;
    }>;
    icon: import("vue").ComputedRef<any>;
    isVNode: import("vue").ComputedRef<{
        icon: boolean;
        title: boolean;
        message: boolean;
    }>;
    progressVisible: import("vue").ComputedRef<boolean | 0>;
    dismiss: () => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The size variant of the toast
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The color variant of the toast
     * @type light | dark | info | success | warning | danger
     * @default light
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The duration of the toast, in milliseconds. A duration of 0 will show the toast indefinitely.
     * @type Number
     * @default 0
     * @name duration
     */
    duration: {
        type: NumberConstructor;
        default: number;
    };
    /**
     * Show progress bar for the duration of the toast
     * @type Boolean
     * @default true
     * @name showProgress
     */
    showProgress: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The icon to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name icon
     */
    icon: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * The title to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name title
     */
    title: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * The message to be rendered in the toast
     * @type string | VNode | VNode[]
     * @default undefined
     * @name message
     */
    message: {
        type: PropType<StringOrRenderableType>;
        default: undefined;
    };
    /**
     * Used to show or hide a dismissible toast
     * @type Boolean
     * @default true
     * @name modelValue
     */
    modelValue: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * Used to set the position of the toast
     * @type top-left | top | top-right | right | bottom-right | bottom | bottom-left | left
     * @default top-right
     * @name position
     */
    position: {
        type: StringConstructor;
        default: string;
    };
    /**
     * Shows a dismiss icon on the toast
     * @type Boolean
     * @default false
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: boolean;
    };
    /**
     * The aria-label to use for the dismiss button
     * @type String
     * @default Dismiss
     * @name dismissAriaLabel
     */
    dismissAriaLabel: {
        type: StringConstructor;
        default: string;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    title: StringOrRenderableType;
    color: string;
    size: string;
    message: StringOrRenderableType;
    modelValue: boolean;
    dismissible: boolean;
    dismissAriaLabel: string;
    icon: StringOrRenderableType;
    duration: number;
    showProgress: boolean;
    position: string;
}, {}>;
export default _default;
