import type { PropType } from 'vue';
import type { ToastOptions } from '@inkline/inkline/types';
declare const _default: import("vue").DefineComponent<{
    /**
     * The event bus to use for showing/hiding toasts
     * @type EventBus
     * @default toastEventBus
     * @name eventBus
     */
    eventBus: {
        type: PropType<{
            on: (eventName: string, fn: import("@grozav/utils").CallbackFn) => import("@grozav/utils").UnregisterFn;
            off: (eventName: string, fn: import("@grozav/utils").CallbackFn) => void;
            emit: <T = Event>(eventName: string, event: T) => void;
        }>;
        default: () => any;
    };
    /**
     * The default duration for toasts in milliseconds, if not specified in the plugin or toast display options
     * @type number
     * @default undefined
     * @name duration
     */
    duration: {
        type: NumberConstructor;
        default: undefined;
    };
    /**
     * The default dismissible state for toasts, if not specified in the plugin or toast display options
     * @type Boolean
     * @default undefined
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * The default option for showing the progress bar for toasts, if not specified in the plugin or toast display options
     * @type Boolean
     * @default undefined
     * @name showProgress
     */
    showProgress: {
        type: BooleanConstructor;
        default: undefined;
    };
}, {
    toastPositions: import("vue").Ref<Record<ToastPosition, any[]>>;
    toastPositionKeys: import("vue").Ref<any[]>;
    classes: import("vue").ComputedRef<{}>;
    hideToast: ({ id }: {
        id: ToastOptions;
    }) => void;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The event bus to use for showing/hiding toasts
     * @type EventBus
     * @default toastEventBus
     * @name eventBus
     */
    eventBus: {
        type: PropType<{
            on: (eventName: string, fn: import("@grozav/utils").CallbackFn) => import("@grozav/utils").UnregisterFn;
            off: (eventName: string, fn: import("@grozav/utils").CallbackFn) => void;
            emit: <T = Event>(eventName: string, event: T) => void;
        }>;
        default: () => any;
    };
    /**
     * The default duration for toasts in milliseconds, if not specified in the plugin or toast display options
     * @type number
     * @default undefined
     * @name duration
     */
    duration: {
        type: NumberConstructor;
        default: undefined;
    };
    /**
     * The default dismissible state for toasts, if not specified in the plugin or toast display options
     * @type Boolean
     * @default undefined
     * @name dismissible
     */
    dismissible: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * The default option for showing the progress bar for toasts, if not specified in the plugin or toast display options
     * @type Boolean
     * @default undefined
     * @name showProgress
     */
    showProgress: {
        type: BooleanConstructor;
        default: undefined;
    };
}>>, {
    eventBus: {
        on: (eventName: string, fn: import("@grozav/utils").CallbackFn) => import("@grozav/utils").UnregisterFn;
        off: (eventName: string, fn: import("@grozav/utils").CallbackFn) => void;
        emit: <T = Event>(eventName: string, event: T) => void;
    };
    dismissible: boolean;
    duration: number;
    showProgress: boolean;
}, {}>;
export default _default;
