import type { PropType } from 'vue';
declare const _default: import("vue").DefineComponent<{
    /**
     * The color variant of the checkable buttons
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The size variant of the checkable buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The type of the checkable buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    type: {
        type: PropType<"checkbox" | "radio">;
        required: true;
    };
    /**
     * The style variant of the checkable buttons
     * @type default | group
     * @default default
     * @name variant
     */
    variant: {
        type: PropType<CheckableButtonGroupVariant>;
        default: string;
    };
}, {
    classes: import("vue").ComputedRef<{
        [x: string]: boolean;
        'checkable-button-group': boolean;
    }>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     * The color variant of the checkable buttons
     * @type light | dark
     * @default
     * @name color
     */
    color: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The size variant of the checkable buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    size: {
        type: StringConstructor;
        default: undefined;
    };
    /**
     * The type of the checkable buttons
     * @type sm | md | lg
     * @default
     * @name size
     */
    type: {
        type: PropType<"checkbox" | "radio">;
        required: true;
    };
    /**
     * The style variant of the checkable buttons
     * @type default | group
     * @default default
     * @name variant
     */
    variant: {
        type: PropType<CheckableButtonGroupVariant>;
        default: string;
    };
}>>, {
    color: string;
    size: string;
    variant: CheckableButtonGroupVariant;
}, {}>;
export default _default;
