import type { Plugin } from 'vue';
import type { InklineService } from '@inkline/inkline/plugin';
export interface InklineColorModeOptions {
    colorMode: 'system' | 'light' | 'dark' | string;
    colorModeStrategy: 'localStorage' | null;
}
export interface InklineColorModePluginOptions {
    inkline: InklineService;
    renderMode: 'client' | 'universal';
}
/**
 * Color mode change handler
 */
export declare const onChangeColorMode: (colorMode: 'system' | 'light' | 'dark' | string) => void;
/**
 * Color mode localStorage key
 */
export declare const colorModeLocalStorageKey = "inkline-color-mode";
export declare const ColorModePlugin: Plugin;
