"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isFormField = isFormField;
exports.isFormFieldArray = isFormFieldArray;
exports.isFormGroup = isFormGroup;
exports.isFormGroupArray = isFormGroupArray;
function isFormField(schema) {
  return Object.keys(schema).length === 0 || schema.hasOwnProperty("value") || schema.hasOwnProperty("validators");
}
function isFormFieldArray(schema) {
  return Array.isArray(schema) && schema.every(isFormField);
}
function isFormGroup(schema) {
  return !isFormField(schema);
}
function isFormGroupArray(schema) {
  return Array.isArray(schema) && schema.every(isFormGroup);
}